polarpersonaltrainer.com compatibility with my browser

The polarpersonaltrainer.com is fully compatible with these browsers:


 

  • Internet Explorer (version 7, 8 or 9)

  • Mozilla Firefox (version 3.5 or higher)

  • Safari (version 1.2 or higher)

  • Google Chrome (version 10 or higher)


If your browser is not compatible, you may experience problems e.g. when trying to drag and drop in the Diary.

Was this helpful? Yes No